Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		liboil
Version:	0.3.17
Release:	1
Epoch:		2
License:	GNU/GPL
URL:		http://liboil.freedesktop.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Summary:	Library of Optimized Inner Loops, CPU optimized functions.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Manual build dependencies
BuildRequires: gtk-doc

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
Liboil is a library of simple functions that are optimized for various CPUs.
These functions are generally loops implementing simple algorithms, such as
converting an array of N integers to floating-poing numbers or multiplying
and summing an array of N numbers. Clearly such functions are candidates for
significant optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package	devel
Summary:	Development files and static library for liboil
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	devel
Liboil is a library of simple functions that are optimized for various CPUs.
These functions are generally loops implementing simple algorithms, such as
converting an array of N integers to floating-poing numbers or multiplying
and summing an array of N numbers. Clearly such functions are candidates for
significant optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%{_bindir}/oil-bugreport
%{_libdir}/liboil-0.3.so.*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/liboil-0.3
%{_libdir}/liboil-0.3.a
%{_libdir}/liboil-0.3.la
%{_libdir}/liboil-0.3.so
%{_pkgconfig}/liboil-0.3.pc
%{_datadir}/gtk-doc/html/liboil


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 2:0.3.17-1
- Version update
* Sat Apr 18 2009 Christian Wasem <wasem@ccux-linux.de> 2:0.3.16-1
- Version update
* Sun Mar 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:0.3.14-1
- Version update
* Mon Aug 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2:0.3.12-1
- Version update
* Thu Mar 22 2007 Christian Metzen <metzench@ccux-linux.de> 2:0.3.10-2
- rebuild with patches and opt flags changed, should REALLY fix problems
* Tue Mar 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 2:0.3.10-1
- Version update
- disarmed optimization flags (hopefully this fixes troubles)
- gst-plugins-base needs liboil > 0.3.8
* Wed Nov 22 2006 Christian Metzen <metzench@ccux-linux.de> 2:0.3.6-2
- bump to 0.3.6 again, seems to cause trouble sometimes
* Sun Nov 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 1:0.3.10-1
- Version update
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 1:0.3.6-1
- bump to 0.3.6 reported to work fine
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 0.3.9-1
- Version update
* Tue Mar 21 2006 Christian Wasem <wasem@ccux-linux.de> 0.3.7-1
- Initial Release
